#!/bin/bash

if [ "$1" == "clean" ]
then
list=`ls *.object | sed -e s/\\\.object//`
for a in $list
do
    rm -f ../$a.h
done;
exit 0
fi

cur_dir=`pwd`
list=`ls *.object | sed -e s/\\\.object//`
cd ../../../object2header
rm ../fabrics.inc >/dev/null 2>&1
for a in $list
do
    object_date=`date +%s -r $cur_dir/$a.object`
    if [ -e "$cur_dir/../$a.h" ]
    then
        header_date=`date +%s -r $cur_dir/../$a.h`
    else
	header_date=1
    fi
    if [ $object_date -gt $header_date ]
    then
	echo "Generating $cur_dir/../$a.h"
	class_name=`cat $cur_dir/$a.object | grep name | head -n1 | cut -f3 -d' '`
#	fabric=`cat $cur_dir/../fabrics.inc | grep -v $class_name`
#	for z in $fabric
#	do
#	    echo $z > $cur_dir/../fabrics.inc
#	done
        ./object2header $cur_dir/$a.object > $cur_dir/../$a.h 2>>$cur_dir/../fabrics.inc
    fi
done
cd $cur_dir
