#ifndef JPG_LOADER_H
#define JPG_LOADER_H

#include "imageloader.h"
#include "video_int.h"
#include <fileio.h>

#ifdef Revision
#undef Revision
#endif
#define Revision "jpg_loader.h $Revision: 1.1.1.1 $"
#define VERSION "1.0"

class JPG_Loader : public Image_Loader
{
	public:
		virtual ~JPG_Loader() {};
		virtual bool _loadimage ( std::string video_name, std::string image_name, std::string group_name, std::string surface_name, FileIO::FileManager *fmanager, bool overwrite=false );
		virtual std::string _get_version() {return VERSION;}
		virtual std::string _get_driver_name() {return "libloader_jpg";}
};

extern "C" Image_Loader* _get_imageloader ( void );

#endif
