//
// C++ Interface: scoresshower
//
// Description:
//
//
// Author: Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>, (C) 2009
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef SCORESSHOWER_H
#define SCORESSHOWER_H

#include <string>
#include <text.h>
#include "sceneobjectfabric.h"

/**
	@author Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>
*/
class ScoresShower : virtual public Text
{
		std::string _source_;
	public:
		virtual void draw();
		virtual bool load (Scene *scene, std::string storage_name, std::string storage_prefix, std::string scene_name, std::string object_name, FileIO::FileManager *fmanager );
		ScoresShower();
		~ScoresShower();
};

extern ObjectFabric<ScoresShower> ScoresShowerFabric;

#endif
