//
// C++ Implementation: timer
//
// Description:
//
//
// Author: Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>, (C) 2009
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "timer.h"
#include "config_classes.h"
#include "config.h"
#include <float.h>

ObjectFabric<Timer> TimerFabric;

bool Timer::real_load ( Scene *scene, std::string storage_name, std::string storage_prefix, std::string scene_name, std::string object_name, FileIO::FileManager *fmanager)
{
	timer.reset();
	return true;
}

bool Timer::_on_new_cycle_handler()
{
	float delta = timer.get_elapsed_time_noreset();
	if ( delta>=time )
	{
		if(!repeat)time=FLT_MAX;
		timer.reset();
		rise_time_out(delta);
	}
        return false;
}

void Timer::draw()
{
}


