#ifndef FONTS_H
#define FONTS_H

#include <QWidget>
#include <fileio.h>

namespace Ui {
    class Fonts;
}

class Fonts : public QWidget {
    Q_OBJECT
public:
    Fonts(QWidget *parent = 0);
    ~Fonts();
    void set_fileio(FileIO::FileManager *fm){fmanager=fm;}

protected:
    void changeEvent(QEvent *e);

private:
    Ui::Fonts *ui;
    FileIO::FileManager *fmanager;

private slots:
    void on_font_add_released();
    void on_font_alias_textChanged(QString );
    void on_font_open_released();
};

#endif // FONTS_H
