//
// C++ Interface: ammo_info
//
// Description:
//
//
// Author: Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>, (C) 2009
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef AMMO_INFO_H
#define AMMO_INFO_H
#include <string>
#include <fileio.h>

/**
	@author Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>
*/
class AmmoInfo
{
	public:
		AmmoInfo();
		~AmmoInfo();

		bool load ( std::string storage_name, std::string storage_prefix, std::string scene_name, std::string video_name, FileIO::FileManager *fmanager );

		double _launch_delay; //Delay before next shot in seconds
		int _damage;
		std::string _image_file;

};

#endif
