//
// C++ Interface: ammo_info
//
// Description:
//
//
// Author: Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>, (C) 2009
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef EAMMO_INFO_H
#define EAMMO_INFO_H
#include <string>
#include "me_time.h"
#include <fileio.h>

/**
	@author Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>
*/
class EAmmoInfo
{
	public:
		EAmmoInfo();
		~EAmmoInfo();

		bool load ( std::string storage_name, std::string storage_prefix, std::string scene_name, std::string video_name, FileIO::FileManager *fmanager );

		double _launch_delay; //Delay before next shot in seconds
		std::string _image_file;
		double _speed;
		Time _timer_;
		int _rotation_speed_;
		int _damage_;
};

#endif
