//
// C++ Implementation: enemychance
//
// Description:
//
//
// Author: Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>, (C) 2009
//
// Copyright: See COPYING file that comes with this distribution
//
//
#include "enemychance.h"
#include <stdio.h>
#include "config.h"
#include "config_classes.h"
#include <stdlib.h>
#include <iostream>

EnemyChance::~EnemyChance()
{
}

EnemyChance::EnemyChance ( ) 
{
}

bool EnemyChance::load(std::string storage_name, std::string storage_prefix, std::string scene_name, std::string video_name)
{
    Config_Interface *intf = config_get_interface ( storage_name );
    _start_time = atof( intf->_get_value( storage_prefix+"start_time", "0").c_str());
    _stop_time = atof( intf->_get_value( storage_prefix+"stop_time", "0").c_str());
    
    char number[7];
    for(int a=0;a<1000;++a)
    {
        snprintf(number, 6, "e%d", a);
        EnemyChanses c;
        c.enemy_id = atoi(intf->_get_value( storage_prefix+number +"->enemy_id", "-1").c_str());
        c.percent  = atoi(intf->_get_value( storage_prefix+number +"->percent", "-1").c_str());
        if(c.enemy_id<0)break;
        _chanses.insert(std::make_pair(c.enemy_id, c));
    }
    return true;
}

EnemyChanses EnemyChance::get_random_enemy_id()
{
    int rnd = rand()%100;
    int psum = 0;
    std::map<int, EnemyChanses>::iterator it;
    for(it = _chanses.begin(); it!=_chanses.end(); ++it)
    {
        psum += it->second.percent;
        if( rnd < psum ) return it->second;
    }
    return _chanses.begin()->second;
}


