//
// C++ Interface: enemychance
//
// Description:
//
//
// Author: Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>, (C) 2009
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef ENEMYCHANCE_H
#define ENEMYCHANCE_H
#include <map>
#include <string>
#include <fileio.h>

/**
	@author Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>
*/
class EnemyChanses
{
	public:
		int enemy_id;
		int percent;
};

class EnemyChance
{
	public:
		EnemyChance();
		~EnemyChance();
		bool load ( std::string storage_name, std::string storage_prefix, std::string scene_name, std::string video_name );
		EnemyChanses get_random_enemy_id();

		float get_start_time() const
		{
			return _start_time;
		}
                float get_stop_time() const
                {
                        return _stop_time;
                }

	private:
		float _start_time;
		float _stop_time;
		std::map<int, EnemyChanses> _chanses;
};

#endif
