//
// C++ Interface: enemyinfo
//
// Description:
//
//
// Author: Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>, (C) 2009
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef ENEMYINFO_H
#define ENEMYINFO_H
#include <string>
#include "eammo_info.h"
#include "enemy_damage_set.h"
#include "animation.h"
#include <fileio.h>
/**
	@author Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>
*/
class EnemyInfo
{
	public:
		EnemyInfo();
		~EnemyInfo();
		bool load ( std::string storage_name, std::string storage_prefix, std::string scene_name, std::string video_name, const EAmmoInfo &info, FileIO::FileManager *fmanager);
		
		Enemy_Damage_Set _damage_set;
		Animation _animation_set;
		int _hp;
                float _speed;
		int _drop_chance;
		int can_shoot;
		int move_style;
		float precision;
		float _x_speed;
		int _shoot_rate;
		int _chain_length;
		float _chain_delay;
		std::string damage_set;
		std::string animation_set;
		EAmmoInfo ammo_info;
};

#endif
