//
// C++ Interface: entername
//
// Description:
//
//
// Author: Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>, (C) 2009
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef ENTERNAME_H
#define ENTERNAME_H

#include <image.h>
#include <text.h>

/**
	@author Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>
*/
class EnterName : virtual public Image, virtual public Text
{
		DECLARE_SLOT ( EnterName, _on_activate );

		virtual bool load ( Scene *scene, std::string storage_name, std::string storage_prefix, std::string scene_name, std::string object_name, FileIO::FileManager *fmanager );
		virtual void draw();

	public:
		EnterName();
		FileIO::FileManager *_fmanager_;

		~EnterName();

};

extern ObjectFabric<EnterName> EnterNameFabric;

#endif
