//
// C++ Interface: game_scene
//
// Description:
//
//
// Author: Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef GAME_SCENE_H
#define GAME_SCENE_H

#include <scene.h>
#include "music.h"

/**
	@author Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>
*/
class GameScene : public Scene
{
	public:
		GameScene();

		~GameScene();

		bool scene_loaded();
		virtual bool draw();
		virtual bool load_scene();
		DECLARE_SLOT ( GameScene, _on_mouse_press );
		VIRTUAL_SLOT ( _on_activate );
		VIRTUAL_SLOT ( _on_deactivate );
	protected:
		virtual void init_signals();
		Signal _shoot_;
		Music _mus_;
		std::string _music_file_;

};

extern SceneFabrics<GameScene> GameSceneFabrick;
#endif
