//
// C++ Interface: ammo
//
// Description:
//
//
// Author: Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>, (C) 2008
//
// Copyright: See COPYING file that comes with this distribution
//
//
#pragma once

#include <image.h>
#include <string>
#include "signal_manager.h"
#include "me_time.h"
#include "enemyinfo.h"
/**
	@author Messenger of death aka Denis A. Birukov <messengerofdeath@gmail.com>
*/
class WeaponBonus : public Image
{
	public:
		DECLARE_SLOT ( WeaponBonus, _on_new_cycle );

		WeaponBonus ( const std::string &name );
		~WeaponBonus();
		virtual bool set_image ( const std::string &video_name, const std::string &image_name, const std::string &scene_name, double x, double y, FileIO::FileManager *fmanager );
		virtual void draw();
	private:
		Time _timer_;
		Time _flash_timer_;
		Signal _check_hero_pickup_;
		std::string _image_name_;
};

